Get Transaction Approval Request by ID
GETTag: api-baas-get-permissions-transaction-approval-requests-by-idDescription: Retrieve a specific transaction approval request by its unique identifier./v1/permissions/transaction-approval-requests/:id
Request
Path Parameters
Transaction approval request id.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
The transaction approval request returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
Transaction approval request id.
User name.
Transaction approval setting id.
Render request body.
Amount.
Possible values: [P2PBT, WITHDRAW, PIXCHANGE, PIXDEVREC, PIXDEVSEND, PIXREC, PIXREFUND, PIXREFUNDDEV, PIXSEND, PIXSENDAUTOMATIC, PIXSENDSELF, TED, CONV, BTCSEND, BTCRECEIVE, BBP, BBD, DEPORECEIVE, TEDRECEIVE, DEBITTRANSACTION, DEBITCBK, TEDFAILURE, TEDUNDO, TEDRECCBK, DEPRECCBK, DOCRECEIVE, PIXRECEIVE, WITHDRAWCBK, CASHBACK, CASHBACKCBK, FORFEITURE, DBTCARDCRED, ACTCLOSURE, REFREWARD, EXTRACREDIT, SALECREDCARD, SALEDEBTCARD, PIXWITHDRAWAL, ADMCRYPTOSEND, ADMCRYPTOREC, P2PBTCTP, P2PBTCTC, P2PTP, P2PTC, CBK, P2MTP, SP, TEDTRANSFERSELF, TEDDEVREC, PIXSENDRESTRICTED, CASHREC, BANKTRANSFERREC, BANKTRANSFERSEND_ARG, BANKTRANSFERDEV_ARG, BANKTRANSFERSEND_CHL, BANKTRANSFERDEV_CHL, BANKTRANSFERSEND_PER, BANKTRANSFERDEV_PER, DEBITCARDREC, CREDITCARDREC, CREDITDEBITCARDREC, YAPEWALLETREC, YAPEWALLETDEV, QRREC, PIXREFUNDCBK]
Transaction type tag.
Possible values: [PENDING, APPROVED, CANCELED, EXPIRED]
Transaction approval request state.
Transaction approval votes.
Number of approvers required for approval.
Transaction approval request created at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_name": "John Doe",
"transaction_approval_setting_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"render_request_body": {},
"amount": 100000000,
"transaction_type_tag": "PIXSEND",
"state": "PENDING",
"votes": 1,
"approvers_quantity": 10,
"created_at": "2026-07-24T17:46:33.213Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.